"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientAccessTokenHandler = void 0;
const BaseTokenHandler_1 = require("./BaseTokenHandler");
/**
 * Handles client access tokens for Meta API.
 */
class ClientAccessTokenHandler extends BaseTokenHandler_1.BaseTokenHandler {
    fetchToken(params) {
        return __awaiter(this, void 0, void 0, function* () {
            // Validate token using the debug endpoint
            const response = yield this.apiClient.get('debug_token', {
                input_token: params.clientToken,
                access_token: process.env.CLIENT_APP_TOKEN, // App token required for validation
            });
            const data = response.data;
            if (data.is_valid) {
                throw new Error('Invalid client token.');
            }
            this.token = params.clientToken;
            this.expiry = data.expires_at
                ? new Date(data.expires_at * 1000)
                : null;
        });
    }
}
exports.ClientAccessTokenHandler = ClientAccessTokenHandler;
//# sourceMappingURL=ClientAccessTokenHandler.js.map