"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageAccessTokenHandler = void 0;
const BaseTokenHandler_1 = require("./BaseTokenHandler");
/**
 * Handles page access tokens for Meta API.
 */
class PageAccessTokenHandler extends BaseTokenHandler_1.BaseTokenHandler {
    fetchToken(params) {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield this.apiClient.get('me/accounts', {
                access_token: params.userAccessToken,
            });
            const data = response.data;
            if (!data || data.length === 0) {
                throw new Error('No pages found for the provided user access token.');
            }
            // Example: Retrieve the first page's access token
            const page = data[0];
            this.token = page.access_token;
            this.expiry = null; // Page tokens often don't expire
        });
    }
}
exports.PageAccessTokenHandler = PageAccessTokenHandler;
//# sourceMappingURL=PageAccessTokenHandler.js.map