"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SystemUserAccessTokenHandler = void 0;
const BaseTokenHandler_1 = require("./BaseTokenHandler");
/**
 * Handles system user access tokens for Meta API.
 */
class SystemUserAccessTokenHandler extends BaseTokenHandler_1.BaseTokenHandler {
    fetchToken(params) {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield this.apiClient.get(`${params.systemUserId}/access_tokens`, {
                appsecret_proof: params.appSecret, // App secret proof for enhanced security
                access_token: process.env.CLIENT_APP_TOKEN,
            });
            const data = response.data;
            if (!data || data.length === 0) {
                throw new Error('No system user tokens found.');
            }
            this.token = data[0].access_token;
            this.expiry = new Date(Date.now() + (data[0].expires_in || 0) * 1000);
        });
    }
}
exports.SystemUserAccessTokenHandler = SystemUserAccessTokenHandler;
//# sourceMappingURL=SystemUserAccessTokenHandler.js.map