"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserAccessTokenHandler = void 0;
const BaseTokenHandler_1 = require("./BaseTokenHandler");
/**
 * Token manager for user access tokens.
 */
class UserAccessTokenHandler extends BaseTokenHandler_1.BaseTokenHandler {
    fetchToken(params) {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield this.apiClient.get('oauth/access_token', {
                client_id: process.env.CLIENT_ID,
                client_secret: process.env.CLIENT_SECRET,
                redirect_uri: params.redirectUri,
                code: params.code,
            });
            const data = response.data;
            this.token = data === null || data === void 0 ? void 0 : data.access_token;
            this.expiry = new Date(Date.now() + ((data === null || data === void 0 ? void 0 : data.expires_in) || 0) * 1000);
        });
    }
}
exports.UserAccessTokenHandler = UserAccessTokenHandler;
//# sourceMappingURL=UserAccessTokenHandler.js.map