"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const MetaApiClient_1 = require("./MetaApiClient");
const metaApiClient = new MetaApiClient_1.MetaApiClient({
    useAccessToken: false,
    auth: {
        accessToken: "12345"
    }
});
describe('[ endpoints / API graph meta ]', () => {
    it("should return a response with object API response", () => __awaiter(void 0, void 0, void 0, function* () {
        // Arrange
        const expected = {
            data: {
                height: expect.any(Number),
                is_silhouette: expect.any(Boolean),
                url: expect.any(String),
                width: expect.any(Number),
            }
        };
        // Act
        const { data: result } = yield metaApiClient.get("/facebook/picture?redirect=false");
        // Assert
        expect(result).toEqual(expected);
    }));
});
//# sourceMappingURL=MetaApiClient.spec.js.map